ProjectsWhat's NewDownloadsCommunitySupportCompany
Forum Index » S.T.A.L.K.E.R.: Shadow of Chernobyl Forum » Lost Alpha
Crash when trying to get weapons,suits fixed or upgraded

Posted by/on
Question/AnswerMake Newest Up Sort by Descending
  13:43:51  10 September 2014
profilee-mailreply Message URLTo the Top
mpm414
Senior Resident
 

 
On forum: 11/05/2010
Messages: 188
Crash when trying to get weapons,suits fixed or upgraded

I recently added a weapons mod that makes playing the mod a little more of a pain because of the crashes. I cannot fix or upgrade weapons with any technician without the game crashing:

[error]Expression : fatal error
[error]Function : CScriptEngine::lua_error
[error]File : script_engine.cpp
[error]Line : 75
[error]Description : <no expression>
[error]Arguments : LUA error: .... - lost alpha\gamedata\scripts\ui_repair_wnd.script:969: attempt to perform arithmetic on field '?' (a nil value)

It also crashes at various points when trying to roam the construction zone:

[error]Expression : fatal error
[error]Function : CInifile::r_section
[error]File : Xr_ini.cpp
[error]Line : 499
[error]Description : <no expression>
[error]Arguments : Can't open section 'wpn_addon_grenade_launcher_m209'

Any help?
  17:13:49  10 September 2014
profilee-mailreply Message URLTo the Top
PCDania
The Dane
(Resident)

 

 
On forum: 09/22/2007
Messages: 1988

---QUOTATION---
Crash when trying to get weapons,suits fixed or upgraded

I recently added a weapons mod that makes playing the mod a little more of a pain because of the crashes. I cannot fix or upgrade weapons with any technician without the game crashing:

[error]Expression : fatal error
[error]Function : CScriptEngine::lua_error
[error]File : script_engine.cpp
[error]Line : 75
[error]Description : <no expression>
[error]Arguments : LUA error: .... - lost alpha\gamedata\scripts\ui_repair_wnd.script:969: attempt to perform arithmetic on field '?' (a nil value)

It also crashes at various points when trying to roam the construction zone:

[error]Expression : fatal error
[error]Function : CInifile::r_section
[error]File : Xr_ini.cpp
[error]Line : 499
[error]Description : <no expression>
[error]Arguments : Can't open section 'wpn_addon_grenade_launcher_m209'

Any help?
---END QUOTATION---


Have you tried asking for help in the thread for the mod causing those crashes?
  18:46:13  14 September 2014
profilee-mailreply Message URLTo the Top
henry1491
Senior Resident
 

 
On forum: 02/10/2008
 

Message edited by:
henry1491
09/14/2014 18:48:39
Messages: 402

---QUOTATION---

1 alpha\gamedata\scripts\ui_repair_wnd.script:969: attempt to perform arithmetic on field '?' (a nil value)

2 [error]Arguments : Can't open section 'wpn_addon_grenade_launcher_m209'


---END QUOTATION---



In order:

1 you need to edit the ui_repair_wnd.script to get added weapons to work - download 'my' mod and copy this file from that.

http://www.mediafire.com/download/nyat6xa8z1l8pdx/LA_henry1491_fix_12.rar


2 find the weapon referencing this addon and change it to : wpn_addon_grenade_launcher_m203.

Cheers,
H
  15:49:48  21 September 2014
profilee-mailreply Message URLTo the Top
dezodor
level designer
(Resident)

 

 
On forum: 04/08/2007
Messages: 3803
I saw this post on moddb too, but could only reply now - was on vacation-. But yes, it seems you used mod, we don't have m209 grenade launcher at all in LA, only the default ones. Try to ask for help from the author of the mod you use, but I guess it happened already.
 
Each word should be at least 3 characters long.
Search:    
Search conditions:    - spaces as AND    - spaces as OR   
 
Forum Index » S.T.A.L.K.E.R.: Shadow of Chernobyl Forum » Lost Alpha
 

All short dates are in Month-Day-Year format.


 

Copyright © 1995-2021 GSC Game World. All rights reserved.
This site is best viewed in Internet Explorer 4.xx and up and Javascript enabled. Webmaster.
Opera Software products are not supported.
If any problem concerning the site functioning under Opera Software appears apply
to Opera Software technical support service.